Bug 991356 - jna: bundles several jar files including non-distributable clover.jar
jna: bundles several jar files including non-distributable clover.jar
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: jna (Show other bugs)
21
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 04:24 EDT by Stanislav Ochotnicky
Modified: 2015-06-11 23:31 EDT (History)
4 users (show)

See Also:
Fixed In Version: 4.1.0-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-11 23:31:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanislav Ochotnicky 2013-08-02 04:24:45 EDT
Description of problem:
jna tarball should be cleaned. It is currently 50+MB, with *a lot* of bundled things. One of them is clover.jar which has quite draconian EULA.

Version-Release number of selected component (if applicable):
jna-4.0.0-1.fc20 (but older versions are also affected)

Additional info:
See packaging guidelines [1] and licensing guidelines [2].

[1] http://fedoraproject.org/wiki/Packaging:Guidelines
[2] http://fedoraproject.org/wiki/Packaging:LicensingGuidelines
Comment 1 Fedora End Of Life 2013-09-16 10:59:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Fedora End Of Life 2015-05-29 05:14:18 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Mikolaj Izdebski 2015-06-03 03:48:56 EDT
JNA contains non-free code. This is a serious bug. Can it be finally fixed?
Comment 4 Fedora Admin XMLRPC Client 2015-06-03 10:56:00 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Colin Walters 2015-06-03 10:58:42 EDT
Hi, I no longer use JNA and thus have orphaned it.

However, I suspect at least some of the bundling might be something I missed during initial review/submission, and I apologize for that.  I can spend a small amount of time assisting with this.

I suspect the most fruitful thing to do would be to inform upstream of this, and additionally look at what other distributions like Debian do.
Comment 6 Fedora Admin XMLRPC Client 2015-06-03 17:12:21 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Mikolaj Izdebski 2015-06-11 03:48:49 EDT
Fixed in jna-4.1.0-8
Comment 8 Mikolaj Izdebski 2015-06-11 23:31:39 EDT
I believe that this bug is fixed in jna-4.1.0-8,
which is available in Fedora Rawhide, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=645190

This bug was fixed in the next release of Fedora, and is not planned
to be fixed in the release it was filed against.  If you want this bug
to be fixed in updates for Fedora 21, please say so in a comment.
Otherwise you can update to the newer release of Fedora to get the fix.

Note You need to log in before you can comment on or make changes to this bug.